package samba-libs 2:4.1.6+dfsg-1ubuntu2 failed to install/upgrade: ErrorMessage: subprocess new pre-installation script returned error exit status 1

Bug #1309439 reported by Ricardo Ferreira on 2014-04-18
112
This bug affects 23 people
Affects Status Importance Assigned to Milestone
samba (Ubuntu)
High
Unassigned

Bug Description

dependency had to manually fixed my remove the secrets from /var/lib

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: samba-libs 2:4.1.6+dfsg-1ubuntu2
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
Date: Fri Apr 18 10:19:24 2014
DuplicateSignature: package:samba-libs:2:4.1.6+dfsg-1ubuntu2:ErrorMessage: subprocess new pre-installation script returned error exit status 1
ErrorMessage: ErrorMessage: subprocess new pre-installation script returned error exit status 1
InstallationDate: Installed on 2014-03-29 (19 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
SambaClientRegression: Yes
SourcePackage: samba
Title: package samba-libs 2:4.1.6+dfsg-1ubuntu2 failed to install/upgrade: ErrorMessage: subprocess new pre-installation script returned error exit status 1
UpgradeStatus: Upgraded to trusty on 2014-04-18 (0 days ago)

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in samba (Ubuntu):
status: New → Confirmed
tags: removed: need-duplicate-check
Cesar Quiroz (cesar-quiroz-u) wrote :

moving /var/lib/samba/secrets.tdb out of the way, per the answer to askubuntu.com/questions/449745, allowed the the forced install to clean up and complete.

Clement Cherlin (mooninaut) wrote :

This bug, experienced during a upgrade from 13.10, put my server in a state where I couldn't use su or sudo to become root to fix it. I rebooted the server from the console, and then found that it would no longer boot at all. I had to boot from CD-ROM to finish the upgrade.

Because it can render the system completely unusable, this bug is of critical importance.

Changed in samba (Ubuntu):
importance: Undecided → High
John Spragge (john-spragge) wrote :

I encountered this bug on a laptop/client system upgrading to 14.04LTS. This bug also prevented me from using sudo. I found that booting into the recovery console and using dpkg to purge libpam-winbind got me back the ability to use sudo, then after renaming /var/lib/samba/private/secrets.tdb I could finish upgarding and repairig packages.

Mathieu Parent (math-parent) wrote :

Extract from VarLogDistupgradeApttermlog.gz :

secrets.tdb exists in /var/lib/samba and /var/lib/samba/private, aborting samba-libs preinst
rename one of them to allow the install/upgrade to continue
http://bugs.debian.org/726472

The analysis is at https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=726472#54

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.